(define-module (data-gitea-markdown-package)
  #:use-module (guix)
  #:use-module (guix build-system haskell)
  #:use-module (guix download)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (gnu packages haskell-web)
  #:use-module (gnu packages haskell-xyz))

(define vcs-file?
  (or (git-predicate (string-append (current-source-directory) "/../.."))
      (const #t)))

(define-public data-gitea-markdown
  (package
    (name "data-gitea-markdown")
    (version "0.0.1")
    (source (local-file "../../gitea-markdown" "data-gitea-markdown"
                        #:recursive? #t
                        #:select? vcs-file?))
    (build-system haskell-build-system)
    (inputs (list ghc-pandoc ghc-pandoc-types ghc-tagsoup))
    (home-page "")
    (synopsis "")
    (description "")
    (license license:agpl3+)))
